Open Inventory / Docs
EndpunkteSpatial roomsSpatial structuresStructureid

Update a structure's name or canonical map anchor

Die API läuft auf deiner Anwendungsinstanz. Schemas und Feldnamen stammen unverändert aus der OpenAPI-Spezifikation. Browsergebundene Aufrufe benötigen eine Sitzung auf der Instanz.

PATCH
/spatial-structures/{structureId}

Authentifizierung

bearerAuth
headerAuthentifizierungBearer <inv_ token>

Pfadparameter

structureId*string
Formatuuid

Header-Parameter

X-Organization-ID?string

Organization membership selected for this request. User-bound credentials may select any active membership; standalone tokens may only repeat their pinned organization ID.

Formatuuid

Anfrageinhalt

application/json
  1. body
Eigenschaften1 <= properties
name?string
Länge1 <= length <= 240
description?string
Längelength <= 10000
georeference?|null

Antwortinhalt

Structure updated

Beispielanfrage
curl -X PATCH 'https://inventory.example.com/api/v1/spatial-structures/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{}'
Beispielantwort
Leer